Create or register a time event
curl --request POST \
--url https://app.tarefy.com/nodeapi/v2/time-clock \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"origin": "web",
"location": {
"latitude": -23.5617,
"longitude": -46.6254,
"accuracy": 12
},
"geofence_confirmation": {
"confirmed": true
}
}
'import requests
url = "https://app.tarefy.com/nodeapi/v2/time-clock"
payload = {
"origin": "web",
"location": {
"latitude": -23.5617,
"longitude": -46.6254,
"accuracy": 12
},
"geofence_confirmation": { "confirmed": True }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
origin: 'web',
location: {latitude: -23.5617, longitude: -46.6254, accuracy: 12},
geofence_confirmation: {confirmed: true}
})
};
fetch('https://app.tarefy.com/nodeapi/v2/time-clock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"requires_geofence_confirmation": true,
"geofence": {
"status": "outside",
"distance_meters": 480,
"radius_meters": 100,
"reference": {
"latitude": -23.6190278,
"longitude": -46.6995833,
"address": "Sede Tarefy"
}
}
}Time Clock
Create or register a time event
POST
/
v2
/
time-clock
Create or register a time event
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Example:
"web"
Obrigatório em dia presencial quando a configuração de geolocalização do ponto estiver ativa.
Show child attributes
Show child attributes
Enviado na segunda chamada quando a primeira resposta exigir confirmação de batida fora da área em dia presencial.
Show child attributes
Show child attributes
Response
200 - application/json
Registro de ponto criado com sucesso ou confirmação de geofence solicitada
⌘I

